### File

`src/slide-template/slide-template.component.ts`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `slide-template`
styleUrls | `slide-template.component.scss`
templateUrl | `./slide-template.component.html`

### Index

###### Properties
commentsListContainer dashboard
###### Inputs
advancedEdition afterUpdate dashboardCode dashboardPlan gridCode interactionEnabled interactionIcons loaderHTML pageCode pageMetadata pageTitleEditionEnabled quillToolbar themesList

### Constructor

`constructor(sdkConfig: SdkConfigService, compilerService: CompilerService)`
Constructor. Generates the div identifier. Parameters :
Name | Type | Optional
sdkConfig | `SdkConfigService` | no
compilerService | `CompilerService` | no

### Inputs

`advancedEdition` | Type: `boolean`

`afterUpdate` | Type: `function`

`dashboardCode` | Type: `string`

`dashboardPlan` | Type: `any`

`gridCode` | Type: `string`

`interactionEnabled` | Type: `boolean`

`interactionIcons` | Type: `InteractionIconMap` Default value: `{}`

`loaderHTML` | Type: `string`

`pageCode` | Type: `string`

`pageMetadata` | Type: `any` Default value: `{}`

`pageTitleEditionEnabled` | Type: `boolean` Default value: `false`

`quillToolbar` | Type: `Array<Array<any>>`

`themesList` | Type: `Object` Default value: `{}`

### Properties

commentsListContainer
`commentsListContainer: `ViewContainerRef``
Type : `ViewContainerRef`
Decorators : `ViewChild`

dashboard
`dashboard: `DashboardComponent``
Type : `DashboardComponent`
Decorators : `ViewChild`

# results matching ""

# No results matching ""